package org.bench4q.monitor.performance.windows;



public class SystemMonitor {
	
	public native String[] getCounterList();

	/*public native double getFileReadOperationsPerSecond(int idleTime);

	public native double getFileWriteOperationsPerSecond(int idleTime);

	public native double getFileControlOperationsPerSecond(int idleTime);

	public native double getFileReadBytesPerSecond(int idleTime);

	public native double getFileWriteBytesPerSecond(int idleTime);

	public native double getFileControlBytesPerSecond(int idleTime);

	public native double getContextSwitchesPerSecond(int idleTime);

	public native double getSystemCallsPerSecond(int idleTime);*/

	public native double getFileDataOperationsPerSecond(int idleTime);

	public native double getProcessorQueueLength();



	/*public native double getSystemUpTime();


	public native double getProcessesCount();

	public native double getThreadsCount();

	public native double getAlignmentFixupsPerSecond(int idleTime);

	public native double getExceptionDispatchesPerSecond(int idleTime);

	public native double getFloatingEmulationsPerSecond(int idleTime);

	public native double getRegistryQuotaInUsePercent();*/
}
